### Method

# Gtk TextBufferbegin_irreversible_action

#### Declaration [src]

    void
    gtk_text_buffer_begin_irreversible_action (
      GtkTextBuffer* buffer
    )

#### Description [src]

Denotes the beginning of an action that may not be undone.

This will cause any previous operations in the undo/redo queue to be cleared.

This should be paired with a call to `gtk_text_buffer_end_irreversible_action()` after the irreversible action has completed.

You may nest calls to `gtk_text_buffer_begin_irreversible_action()` and `gtk_text_buffer_end_irreversible_action()` pairs.